Subject: [COSE] Adding secp256k1

From: Yuriy Ackermann <[email-masked]>
Date: Tue, 13 Feb 2018 13:27:08 +0000

Hey guys. I work for FIDO Alliance. We are currently selecting a list of
curves we going to support. We want to support secp256k1 in COSE, as we are
already supporting it in UAF, and we have companies who really want it.

I know that in security considerations you've said that there is
possibility of collision of the signatures from k1 and p1, but the chances
of such thing happening are enough low for it to be ignored.

We are proposing adding secp256k1 into list of curves, in section 13.1 with
value 8

Regards. Yuriy

 <https://fidoalliance.org/> * Yuriy Ackermann *
Senior Certification Engineer
*email:* [email-masked]
*skype:* ackermann.yuriy
*website:* https://fidoalliance.org

---

From: Laurence Lundblade <[email-masked]>
Date: Tue, 13 Feb 2018 17:36:23 +0000

Hi Yuri,

The COSE specification probably should not change to accommodate this. The IANA COSE algorithm registry should be used instead.

There are several options:
- Write a standards track IETF document and get it set in the  IANA COSE registry<https://www.iana.org/assignments/cose/cose.xhtml>.
- Write a specification (presumably public) and get it set  IANA COSE registry<https://www.iana.org/assignments/cose/cose.xhtml>.
- Use an identifier in the private range and publish it only in FIDO docs.

LL

On Feb 13, 2018, at 5:27 AM, Yuriy Ackermann <[email-masked]<mailto:[email-masked]>> wrote:

Hey guys. I work for FIDO Alliance. We are currently selecting a list of curves we going to support. We want to support secp256k1 in COSE, as we are already supporting it in UAF, and we have companies who really want it.

I know that in security considerations you've said that there is possibility of collision of the signatures from k1 and p1, but the chances of such thing happening are enough low for it to be ignored.

We are proposing adding secp256k1 into list of curves, in section 13.1 with value 8

Regards. Yuriy

[FIDO Alliance] <https://fidoalliance.org/> Yuriy Ackermann
Senior Certification Engineer
email: [email-masked]<mailto:[email-masked]>
skype: ackermann.yuriy
website: https://fidoalliance.org<https://fidoalliance.org/>

_______________________________________________
COSE mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/cose

---

From: Yuriy Ackermann <[email-masked]>
Date: Tue, 13 Feb 2018 17:57:51 +0000

Blimey. I've totally missed it. I will email AINA then.

Thank you.

Regards.
Yuriy

On Tue, Feb 13, 2018 at 5:36 PM, Laurence Lundblade <
[email-masked]> wrote:

> Hi Yuri,
>
> The COSE specification probably should not change to accommodate this. The
> IANA COSE algorithm registry should be used instead.
>
> - Write a standards track IETF document and get it set in the  IANA COSE
> registry <https://www.iana.org/assignments/cose/cose.xhtml>.
> - Write a specification (presumably public) and get it set  IANA COSE
> registry <https://www.iana.org/assignments/cose/cose.xhtml>.
> On Feb 13, 2018, at 5:27 AM, Yuriy Ackermann <[email-masked]>
> wrote:
>
>  <https://fidoalliance.org/>*Yuriy Ackermann *
> [email-masked]

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 13 Feb 2018 20:02:55 +0100

> We are proposing adding secp256k1 into list of curves, in section 13.1 with value 8 

Hi Yurij,

please have a look at Section 16.8 of RFC 8152.
This details the procedure for adding new curves.
In particular, it defines the different registration policies that apply to different number ranges that could be used here.
Some of the number ranges are “Standards Action”, because they are encoded slightly more efficiently but are not very large, so there should be some consensus for using up numbers in those ranges.  Others are “Specification Required” or even just “Expert Review”.

Analogously, Section 16.4 of RFC 8152 is used for new algorithms.
Again, it defines the different policies that apply to different number ranges that could be used here.
One example of exercising this in a Standards Action was RFC 8230, which adds algorithm and key type values to COSE to support some older RSA-based signature and key encryption algorithms that weren’t listed in RFC 8152.

While I can’t comment on the merits or demerits of secp256k1 (or even whether key type EC2 would be the right one here), if you want to get the number 8 here for the curve, writing up a short Internet-Draft and getting consensus to move forward with it as a standards-track RFC like RFC 8230 would be the correct procedure.  Or maybe it’s not that important to save that one byte, and you can go for Specification Required, possibly pointing to one of the existing FIDO documents as the specification (or making up a new one, possibly even an independent track RFC).

Grüße, Carsten

---

From: Jim Schaad <[email-masked]>
Date: Tue, 13 Feb 2018 14:51:28 -0800

I would not do the private range version below if you are going to publish
in FIDO docs.  This is really meant for completely closed and experimental
and not for any public standards use.

From: COSE [mailto:[email-masked]] On Behalf Of Laurence Lundblade
Sent: Tuesday, February 13, 2018 9:36 AM
To: Yuriy Ackermann <[email-masked]>
Cc: [email-masked]
Subject: Re: [COSE] Adding secp256k1

Hi Yuri, 

- Write a standards track IETF document and get it set in the
<https://www.iana.org/assignments/cose/cose.xhtml>  IANA COSE registry.

- Write a specification (presumably public) and get it set
<https://www.iana.org/assignments/cose/cose.xhtml>  IANA COSE registry.

LL

On Feb 13, 2018, at 5:27 AM, Yuriy Ackermann <[email-masked]
<mailto:[email-masked]> > wrote:

I know that in security considerations you've said that there is possibility
of collision of the signatures from k1 and p1, but the chances of such thing
happening are enough low for it to be ignored.

Regards. Yuriy

 <https://fidoalliance.org/> Yuriy Ackermann 
Senior Certification Engineer
email: [email-masked] <mailto:[email-masked]> 
skype: ackermann.yuriy
website: https://fidoalliance.org <https://fidoalliance.org/> 

_______________________________________________
COSE mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/cose

---

From: Mike Jones <[email-masked]>
Date: Wed, 14 Feb 2018 00:03:25 +0000

Yuriy - I can work with you to write the necessary text for UAF to register the additional algorithms it needs.  I'll talk with you off-list about it.

                                                                -- Mike

From: COSE <[email-masked]> On Behalf Of Jim Schaad
Sent: Tuesday, February 13, 2018 2:51 PM
To: 'Yuriy Ackermann' <[email-masked]>
Cc: 'Laurence Lundblade' <[email-masked]>; [email-masked]
Subject: Re: [COSE] Adding secp256k1

I would not do the private range version below if you are going to publish in FIDO docs.  This is really meant for completely closed and experimental and not for any public standards use.

From: COSE [mailto:[email-masked]] On Behalf Of Laurence Lundblade
Sent: Tuesday, February 13, 2018 9:36 AM
To: Yuriy Ackermann <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [COSE] Adding secp256k1

Hi Yuri,

LL

Regards. Yuriy
[FIDO Alliance]<https://fidoalliance.org/>Yuriy Ackermann

---

From: Yuriy Ackermann <[email-masked]>
Date: Wed, 14 Feb 2018 11:59:16 +0000

Awesome! Thank you all for your help!

On Wed, Feb 14, 2018 at 12:03 AM, Mike Jones <[email-masked]>
wrote:

> Yuriy – I can work with you to write the necessary text for UAF to
> register the additional algorithms it needs.  I’ll talk with you off-list
> about it.
>
>
>
>                                                                 -- Mike
>
>
>
> *From:* COSE <[email-masked]> *On Behalf Of * Jim Schaad
> *Sent:* Tuesday, February 13, 2018 2:51 PM
> *To:* 'Yuriy Ackermann' <[email-masked]>
> *Cc:* 'Laurence Lundblade' <[email-masked]>; [email-masked]
>
> *Subject:* Re: [COSE] Adding secp256k1
>
>
>
> *From:* COSE [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Laurence Lundblade
> *Sent:* Tuesday, February 13, 2018 9:36 AM
> *To:* Yuriy Ackermann <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [COSE] Adding secp256k1
>
>
>
> Hi Yuri,
>
>
>

---

From: Kathleen Moriarty <[email-masked]>
Date: Wed, 14 Feb 2018 13:05:58 -0500

Hello, Yuriy.

Once you have a draft ready, please start by posting it here for review.  The step after that will be to get it published.  You can ask an Area Director to sponsor it and have it published as an individual draft or can also present it at SecDispatch and direction for next steps should be provided.

I step down in a few weeks, so I won’t be the AD to sponsor it, but can help with questions/point you to the right people.

Best regards,
Kathleen 

Sent from my mobile device

> On Feb 14, 2018, at 6:59 AM, Yuriy Ackermann <[email-masked]> wrote:
> 
>  Yuriy Ackermann 
> email: [email-masked]
> skype: ackermann.yuriy
> website: https://fidoalliance.org
> 
>> On Wed, Feb 14, 2018 at 12:03 AM, Mike Jones <[email-masked]> wrote:
>> Yuriy – I can work with you to write the necessary text for UAF to register the additional algorithms it needs.  I’ll talk with you off-list about it.
>> 
>>  
>> 
>>                                                                 -- Mike
>> 
>>  
>> 
>> - Write a standards track IETF document and get it set in the  IANA COSE registry.
>> 
>> - Write a specification (presumably public) and get it set  IANA COSE registry.
>> 
>> On Feb 13, 2018, at 5:27 AM, Yuriy Ackermann <[email-masked]> wrote:
>> 
>>  
>> 
>> Yuriy Ackermann 
>> email: [email-masked]
>> skype: ackermann.yuriy
>> website: https://fidoalliance.org
>>